Subject: Re: bug#3740: documentation of args to `documentation-property' differ info<-->docstring on 23.0.92.1 thru 23.0.95

From: martin rudalics <[email-masked]>
Date: Fri, 03 Jul 2009 08:46:46 +0200

> The discrepancy - however trivial it  may be to _you_ - is none the
 > less a discrepancy.
 >
 > Surely you don't hold this view for _all_ functions.
 >
 > Should one assume that consistent indication of the args to a function
 > is of no importance across the board - or does this apply only for
 > this particular inconsistency?

The current Elisp reference manual features more than 500 such
discrepancies.  Most of them would have to be fixed by changing the
specification, not the manual.  Changing the specification means check
for name clashes, reindent code, refill doc-strings and comments,
recompile, rebuild.  Doing this manually would get people busy for quite
some time.

martin